server {
  listen 80;
  server_name localhost;

  root /usr/share/nginx/html;
  index index.html;

  location / {
    try_files $uri $uri/ /index.html;
  }

  location ~* \.(js|css|png|jpg|jpeg|gif|ico|svg|woff|woff2|ttf|eot)$ {
      expires 7d;
      access_log off;
      add_header Cache-Control "public";
  }

  location ~ /\. {
        deny all;
  }

  error_page 404 /index.html;
}
